![]() | BendSurface Constructor (ListPoint, ListPoint, Line, Vector) |
Initializes a new instance of the BendSurface class from the cone lateral boundaries and the center line.
This is the recommended constructor if fine grained control is desired over the lateral boundaries of the surface
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.1

public BendSurface( List<Point> lateralBoundary1, List<Point> lateralBoundary2, Line centerLine, Vector rotationAxis )
Parameters
- lateralBoundary1
- Type: System.Collections.GenericListPoint
The first lateral boundary. - lateralBoundary2
- Type: System.Collections.GenericListPoint
The second lateral boundary - centerLine
- Type: Tekla.Structures.Geometry3dLine
The center line of the cone/cylinder - rotationAxis
- Type: Tekla.Structures.Geometry3dVector
A vector normal to the circular cross sections of the surface. It defines the rotation axis from the start of a lateral boundary to the end of the same lateral boundary, according to the right hand rule.
